Bug 1666839 - [RFE] Provide Python utilities in a separate sub-package
Summary: [RFE] Provide Python utilities in a separate sub-package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfsprogs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 17:36 UTC by Sinny Kumari
Modified: 2019-05-15 01:35 UTC (History)
3 users (show)

Fixed In Version: xfsprogs-4.19.0-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-08 17:56:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Sinny Kumari 2019-01-16 17:36:08 UTC
Description of problem:
One of the utility provided by xfsprogs requires Python:

/usr/sbin/xfs_scrub_all

In Fedora CoreOS we are trying to not have Python dependencies in base host. We make use of utility like xfs_growfs from xfsprogs. It will be nice if we can get Python dependent utility in a sub-package. This will help to not pull in Python dependencies where xfs_scrub_all is not required.

Also, maybe it can also be possible to convince upstream to rewrite xfs_scrub_all utility in C (consistent with rest of the utilities)?

Comment 1 Eric Sandeen 2019-01-24 23:00:46 UTC
Yes, a subpackage is a good idea, thanks.  As for rewriting the utility ... probably not going to happen.  TBH I'm not sure why scrub isn't in C, but the chances of a rewrite are slim.

Comment 2 Sinny Kumari 2019-01-25 21:17:48 UTC
Thanks Eric!

Let us know if you need us to send a PR for python sub-package split in rawhide/F30

Comment 3 Sinny Kumari 2019-02-21 12:36:25 UTC
Created PR against F31 to move python utilities to separate sub-package - https://src.fedoraproject.org/rpms/xfsprogs/pull-request/1, after review is done will open another PR against F30

Comment 4 Eric Sandeen 2019-02-22 20:06:21 UTC
Sooo apparently dnf requires python3.  Is the "base host" not going to have dnf?

Comment 5 Dusty Mabe 2019-02-22 22:25:14 UTC
(In reply to Eric Sandeen from comment #4)
> Sooo apparently dnf requires python3.  Is the "base host" not going to have
> dnf?

No. It will use rpm-ostree, which is/was the basis for Atomic Host, and now Fedora CoreOS and RHCOS.

Comment 6 Dusty Mabe 2019-02-22 22:25:27 UTC
clear needinfo

Comment 7 Eric Sandeen 2019-02-22 22:27:57 UTC
Ok, thanks for the info, sorry for not being up to speed on the project!

Comment 8 Dusty Mabe 2019-02-22 22:31:47 UTC
No problem. It would have been a clear blocker to this effort if that were the case so it was worth asking :)

Comment 9 Sinny Kumari 2019-04-09 14:18:30 UTC
(In reply to Sinny Kumari from comment #3)
> Created PR against F31 to move python utilities to separate sub-package -
> https://src.fedoraproject.org/rpms/xfsprogs/pull-request/1, after review is
> done will open another PR against F30

Hi Eric! to move forward can we get PR reviewed

Comment 10 Eric Sandeen 2019-05-08 17:56:09 UTC
Ok, I split out an xfsprogs-xfs_scrub subpackage, with all scrub related files including those with python3 deps.

Comment 11 Fedora Update System 2019-05-13 19:16:46 UTC
xfsprogs-4.19.0-5.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-47ecc092f0

Comment 12 Fedora Update System 2019-05-14 01:54:10 UTC
xfsprogs-4.19.0-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-47ecc092f0

Comment 13 Fedora Update System 2019-05-15 01:35:25 UTC
xfsprogs-4.19.0-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.